Skip to main content

CAMS KRA Search and Verify API

The following document highlights the details of the CAMS KRA Search and Verify API.

API Description

Objective

The CAMS KRA Search and Verify API authenticates the status of a user's Know Your Customer (KYC) record by cross-referencing their Permanent Account Number (PAN) against various KYC Registration Agency (KRA) databases.

InputOutput
A unique 10-digit alphanumeric PANThe KYC status of the customer in a JSON response, including their application status, KYC mode, address proof details, and KRA status information

API URL

https://ind-engine.thomas.hyperverge.co/v1/CAMSSearchAndVerify

API Endpoint

CAMSSearchAndVerify

Overview

The CAMS KRA Search and Verify API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Method - POST

Authentication

You need a unique pair of application ID ( appId ) and application key ( appKey ) from HyperVerge to verify your identity for accessing the API.

Headers

HeaderMandatory / OptionalDescriptionInput Format
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
transactionIdMandatoryA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Inputs

The following table provides the details of the parameters required for the CAMS KRA Search and Verify API's request body:

ParameterMandatory / OptionalTypeDescriptionInput FormatDefault Value
panMandatorystringThe unique 10-digit alphanumeric PANFormat: 'CCCCCDDDDC' where 'C' represents a character and 'D' represents a digitNot Applicable

Request

The following code snippet demonstrates a standard curl request for the CAMS KRA Search and Verify API:

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/CAMSSearchAndVerify' \
--header 'Content-Type: application/json' \
--header 'appID: <Enter_the_HyperVerge_appId>'\
--header 'appKey: <Enter_the_HyperVerge_appKey>'\
--header 'transactionID: <Enter_the_HyperVerge_transactionID>' \
--data-raw '{
"pan": "<Enter_the_PAN>"
}'

Success Response

The following code snippet demonstrates a success response from the CAMS KRA Search and Verify API:

{
"status": "success",
"statusCode": "200",
"result": {
"CAMSSearchAndVerifyResponse": {
"verifyPanResponse": {
"panNo": "<PAN_Number>",
"name": "<Name_Of_The_User>",
"statusDate": "<Status_Date_in_DD-MM-YYYY_HH:MM:SS_Format>",
"entryDate": "<Entry_Date_in_DD-MM-YYYY_HH:MM:SS_Format>",
"modificationDate": "<Modification_Date_in_DD-MM-YYYY_HH:MM:SS_Format>",
"updateStatus": "<Update_Status>",
"holdDeactiveRemarks": "<Hold_Deactive_Remarks>",
"camskra": "<CAMS_KRA_Status>",
"cvlkra": "<CVL_KRA_Status>",
"ndmlkra": "<NDML_KRA_Status>",
"dotexkra": "<DOTEX_KRA_Status>",
"karvykra": "<KARVY_KRA_Status>",
"kfinkra": "<KFIN_KRA_Status>",
"kycMode": "<KYC_Mode>",
"signFlag": "<Signature_Flag>",
"ipvFlag": "<IPV_Flag>",
"perAddressProof": "<Permanent_Address_Proof>",
"corAddressProof": "<Correspondence_Address_Proof>",
"bsekra": "<BSE_KRA_Status>"
}
},
"appUpdtflg": "<Application_Update_Flag>",
"currentStatus": "<Current_Status>",
"appStatusKra": "<Application_Status_KRA>",
"summary": {
"action": "<Action_Status>",
"details": []
}
},
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Success Response Details

The following table outlines the details of the success response from the CAMS KRA Search and Verify API:

ParameterTypeDescription
statusstringThe status of the request
statusCodestringThe HTTP status code of the response
resultobjectContainer for the response data
CAMSSearchAndVerifyResponseobjectThe CAMS search and verify response object
verifyPanResponseobjectThe PAN verification response details
panNostringThe 10 digit PAN of the user
namestringThe name of the PAN holder
statusDatestringThe date and time when the KYC status was last updated, displayed in DD-MM-YYYY HH:MM:SS format
entryDatestringThe date and time when the KYC was created, displayed in DD-MM-YYYY HH:MM:SS format
modificationDatestringThe date and time of the latest modification of KYC record in Parent KRA, displayed in DD-MM-YYYY HH:MM:SS format
updateStatusstringThe status of the KYC modification request. Possible values:
  • UNDER PROCESS
  • KYC REGISTERED
  • ON HOLD
  • KYC REJECTED
  • NOT AVAILABLE
  • KYC Validated
holdDeactiveRemarksstringThe remarks for when a new KYC process has either been put on hold or deactivated
camskra, cvlkra, ndmlkra, dotexkra, karvykra, kfinkrastringThe status of the KYC application in CAMS KRA, CVL KRA, NDML KRA, DOTEX KRA, KARVY KRA, or KFIN KRA respectively if the user's KYC data is present in the respective KRA, otherwise "Not Available"
kycModestringThe mode of KYC used for an application. Possible values:
  1. Paper Based Normal KYC
  2. eKYC through OTP
  3. eKYC through Biometric
  4. Online KYC
  5. Aadhaar Offline KYC
  6. Digilocker
signFlag (??) stringThe signature flag indicating the signature status
ipvFlagstringThe information pertaining to whether in-person verification was done
perAddressProofstringThe document used as proof of permanent address
corAddressProofstringThe document used as proof of correspondence address
bsekrastringThe status of the KYC application in BSE KRA if the user's KYC data is present in this KRA, otherwise "Not Available"
appUpdtflgstringThis flag indicates the next steps for KYC application processing (e.g., New Application, Modify with Document)
currentStatusstringThe current status of the KYC application
appStatusKrastringThe KRA with which the PAN is associated for the KYC application
summaryobjectThe summary object containing action status and details
summary.actionstringThe action status in the summary
summary.detailsarrayThe array containing summary details
metaDataobjectMetadata associated with the request
metaData.requestIdstringThe unique identifier for the request
metaData.transactionIdstringThe unique identifier for the transaction

Error Responses

The following are some error responses from the CAMS KRA Search and Verify API:

{
"status": "failure",
"statusCode": "400",
"message": "Invalid PAN format",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
{
"status": "failure",
"statusCode": "500",
"message": "Incorrect Total records count",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Error Response Details

A failure or error response contains a failure status with a relevant status code and error message.
The following table lists all error responses:

Status CodeError MessageError DescriptionError Resolution
400Invalid InputThe 10-digit PAN is not in the CCCCCDDDDC formatProvide a valid PAN in the correct format
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid valuesProvide valid appId and appKey credentials in the request
500Invalid encrypted dataError due to inputs might be length or invalid inputsVerify the input data format and length, ensure all required fields are properly formatted
500Invalid token generationCREDS invalidVerify and provide valid credentials (appId and appKey)
500Invalid KRA codeKRA code is invalidVerify and provide a valid KRA code
500Incorrect Total records countThe total records count provided in the request is incorrectVerify and provide the correct total records count
500Authentication FailedThe authentication process failedVerify credentials and authentication parameters, contact the HyperVerge team if the issue persists
500Incorrect RequestThe request format or parameters are incorrectVerify the request format and all required parameters
500Internal Server ErrorAn internal server error occurredPlease check the request headers or contact the HyperVerge team for resolution
500Meta data api failedThe metadata API call failedPlease check the request headers or contact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: